CON
        _clkmode = xtal1 + pll16x                                               'Standard clock mode * crystal frequency = 80 MHz
        _xinfreq = 5_000_000

pcport = 1
pcrx = 31
pctx = 30
pcbaud = 57600

SCL = 28
SDA = 29
deviceaddress = %1110_1110
          
VAR

  long  TempPtr,PressurePtr,T,P,const_ptr
  long ac1, ac2, ac3, ac4, ac5, ac6, b1, b2, mb, mc, md 'see the datasheet for what these mean
 
OBJ

  uart          :       "pcFullDuplexSerial4fc"
  i2c           :       "Basic_I2C_Driver"
  BMP           :       "bmp085Object"
  
PUB LED_TEST | il,jl
                         
  uart.Addport(pcport,pcrx,pctx,-1,-1,100,0,pcbaud)
  uart.start
  const_ptr := BMP.Init(SCL,SDA, deviceAddress)

  repeat il from 0 to 10    'uart.tx(pcport,16)
    LONG[@ac1][il] := LONG[const_ptr][il]
   
  repeat
    BMP.GetPressureTemp(SCL,SDA, deviceAddress, 3, @TempPtr, @PressurePtr)
    
    uart.tx(pcport,16)
    uart.dec(pcport,TempPtr)
    uart.tx(pcport,13)
    uart.dec(pcport,PressurePtr)
    uart.tx(pcport,13)

    uart.tx(pcport,13)
    uart.dec(pcport,T)
    uart.tx(pcport,13)
    uart.dec(pcport,P)    
    waitcnt(clkfreq/10+cnt)
                                